import { BinaryFile } from 'itk-wasm';
import BioRadReadImageOptions from './bio-rad-read-image-options.js';
import BioRadReadImageResult from './bio-rad-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {BioRadReadImageOptions} options - options object
 *
 * @returns {Promise<BioRadReadImageResult>} - result object
 */
declare function bioRadReadImage(serializedImage: File | BinaryFile, options?: BioRadReadImageOptions): Promise<BioRadReadImageResult>;
export default bioRadReadImage;
