import { Image } from 'itk-wasm';
import BioRadWriteImageOptions from './bio-rad-write-image-options.js';
import BioRadWriteImageResult from './bio-rad-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {BioRadWriteImageOptions} options - options object
 *
 * @returns {Promise<BioRadWriteImageResult>} - result object
 */
declare function bioRadWriteImage(image: Image, serializedImage: string, options?: BioRadWriteImageOptions): Promise<BioRadWriteImageResult>;
export default bioRadWriteImage;
