import { BinaryFile } from 'itk-wasm';
import FdfReadImageOptions from './fdf-read-image-options.js';
import FdfReadImageResult from './fdf-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {FdfReadImageOptions} options - options object
 *
 * @returns {Promise<FdfReadImageResult>} - result object
 */
declare function fdfReadImage(serializedImage: File | BinaryFile, options?: FdfReadImageOptions): Promise<FdfReadImageResult>;
export default fdfReadImage;
