import { Image } from 'itk-wasm';
import FdfWriteImageOptions from './fdf-write-image-options.js';
import FdfWriteImageResult from './fdf-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {FdfWriteImageOptions} options - options object
 *
 * @returns {Promise<FdfWriteImageResult>} - result object
 */
declare function fdfWriteImage(image: Image, serializedImage: string, options?: FdfWriteImageOptions): Promise<FdfWriteImageResult>;
export default fdfWriteImage;
