import { BinaryFile } from 'itk-wasm';
import Ge4ReadImageOptions from './ge4-read-image-options.js';
import Ge4ReadImageResult from './ge4-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {Ge4ReadImageOptions} options - options object
 *
 * @returns {Promise<Ge4ReadImageResult>} - result object
 */
declare function ge4ReadImage(serializedImage: File | BinaryFile, options?: Ge4ReadImageOptions): Promise<Ge4ReadImageResult>;
export default ge4ReadImage;
