import { Image } from 'itk-wasm';
import Ge4WriteImageNodeOptions from './ge4-write-image-node-options.js';
import Ge4WriteImageNodeResult from './ge4-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {Ge4WriteImageNodeOptions} options - options object
 *
 * @returns {Promise<Ge4WriteImageNodeResult>} - result object
 */
declare function ge4WriteImageNode(image: Image, serializedImage: string, options?: Ge4WriteImageNodeOptions): Promise<Ge4WriteImageNodeResult>;
export default ge4WriteImageNode;
