import { Image } from 'itk-wasm';
import Ge5WriteImageNodeOptions from './ge5-write-image-node-options.js';
import Ge5WriteImageNodeResult from './ge5-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {Ge5WriteImageNodeOptions} options - options object
 *
 * @returns {Promise<Ge5WriteImageNodeResult>} - result object
 */
declare function ge5WriteImageNode(image: Image, serializedImage: string, options?: Ge5WriteImageNodeOptions): Promise<Ge5WriteImageNodeResult>;
export default ge5WriteImageNode;
