import { Image } from 'itk-wasm';
import Ge5WriteImageOptions from './ge5-write-image-options.js';
import Ge5WriteImageResult from './ge5-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {Ge5WriteImageOptions} options - options object
 *
 * @returns {Promise<Ge5WriteImageResult>} - result object
 */
declare function ge5WriteImage(image: Image, serializedImage: string, options?: Ge5WriteImageOptions): Promise<Ge5WriteImageResult>;
export default ge5WriteImage;
