import { BinaryFile } from 'itk-wasm';
import GiplReadImageOptions from './gipl-read-image-options.js';
import GiplReadImageResult from './gipl-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {GiplReadImageOptions} options - options object
 *
 * @returns {Promise<GiplReadImageResult>} - result object
 */
declare function giplReadImage(serializedImage: File | BinaryFile, options?: GiplReadImageOptions): Promise<GiplReadImageResult>;
export default giplReadImage;
