import { Image } from 'itk-wasm';
import GiplWriteImageNodeOptions from './gipl-write-image-node-options.js';
import GiplWriteImageNodeResult from './gipl-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {GiplWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<GiplWriteImageNodeResult>} - result object
 */
declare function giplWriteImageNode(image: Image, serializedImage: string, options?: GiplWriteImageNodeOptions): Promise<GiplWriteImageNodeResult>;
export default giplWriteImageNode;
