import { Image } from 'itk-wasm';
import Hdf5WriteImageNodeOptions from './hdf5-write-image-node-options.js';
import Hdf5WriteImageNodeResult from './hdf5-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {Hdf5WriteImageNodeOptions} options - options object
 *
 * @returns {Promise<Hdf5WriteImageNodeResult>} - result object
 */
declare function hdf5WriteImageNode(image: Image, serializedImage: string, options?: Hdf5WriteImageNodeOptions): Promise<Hdf5WriteImageNodeResult>;
export default hdf5WriteImageNode;
