import { BinaryFile } from 'itk-wasm';
import JpegReadImageOptions from './jpeg-read-image-options.js';
import JpegReadImageResult from './jpeg-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {JpegReadImageOptions} options - options object
 *
 * @returns {Promise<JpegReadImageResult>} - result object
 */
declare function jpegReadImage(serializedImage: File | BinaryFile, options?: JpegReadImageOptions): Promise<JpegReadImageResult>;
export default jpegReadImage;
