import { BinaryFile } from 'itk-wasm';
import LsmReadImageOptions from './lsm-read-image-options.js';
import LsmReadImageResult from './lsm-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {LsmReadImageOptions} options - options object
 *
 * @returns {Promise<LsmReadImageResult>} - result object
 */
declare function lsmReadImage(serializedImage: File | BinaryFile, options?: LsmReadImageOptions): Promise<LsmReadImageResult>;
export default lsmReadImage;
