import { Image } from 'itk-wasm';
import LsmWriteImageOptions from './lsm-write-image-options.js';
import LsmWriteImageResult from './lsm-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {LsmWriteImageOptions} options - options object
 *
 * @returns {Promise<LsmWriteImageResult>} - result object
 */
declare function lsmWriteImage(image: Image, serializedImage: string, options?: LsmWriteImageOptions): Promise<LsmWriteImageResult>;
export default lsmWriteImage;
