import MetaReadImageNodeOptions from './meta-read-image-node-options.js';
import MetaReadImageNodeResult from './meta-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {MetaReadImageNodeOptions} options - options object
 *
 * @returns {Promise<MetaReadImageNodeResult>} - result object
 */
declare function metaReadImageNode(serializedImage: string, options?: MetaReadImageNodeOptions): Promise<MetaReadImageNodeResult>;
export default metaReadImageNode;
