import { Image } from 'itk-wasm';
import MetaWriteImageNodeOptions from './meta-write-image-node-options.js';
import MetaWriteImageNodeResult from './meta-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MetaWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<MetaWriteImageNodeResult>} - result object
 */
declare function metaWriteImageNode(image: Image, serializedImage: string, options?: MetaWriteImageNodeOptions): Promise<MetaWriteImageNodeResult>;
export default metaWriteImageNode;
