import { BinaryFile } from 'itk-wasm';
import MghReadImageOptions from './mgh-read-image-options.js';
import MghReadImageResult from './mgh-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {MghReadImageOptions} options - options object
 *
 * @returns {Promise<MghReadImageResult>} - result object
 */
declare function mghReadImage(serializedImage: File | BinaryFile, options?: MghReadImageOptions): Promise<MghReadImageResult>;
export default mghReadImage;
