import { Image } from 'itk-wasm';
import MghWriteImageOptions from './mgh-write-image-options.js';
import MghWriteImageResult from './mgh-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MghWriteImageOptions} options - options object
 *
 * @returns {Promise<MghWriteImageResult>} - result object
 */
declare function mghWriteImage(image: Image, serializedImage: string, options?: MghWriteImageOptions): Promise<MghWriteImageResult>;
export default mghWriteImage;
