import { Image } from 'itk-wasm';
import MrcWriteImageNodeOptions from './mrc-write-image-node-options.js';
import MrcWriteImageNodeResult from './mrc-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MrcWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<MrcWriteImageNodeResult>} - result object
 */
declare function mrcWriteImageNode(image: Image, serializedImage: string, options?: MrcWriteImageNodeOptions): Promise<MrcWriteImageNodeResult>;
export default mrcWriteImageNode;
