import { Image } from 'itk-wasm';
import MrcWriteImageOptions from './mrc-write-image-options.js';
import MrcWriteImageResult from './mrc-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MrcWriteImageOptions} options - options object
 *
 * @returns {Promise<MrcWriteImageResult>} - result object
 */
declare function mrcWriteImage(image: Image, serializedImage: string, options?: MrcWriteImageOptions): Promise<MrcWriteImageResult>;
export default mrcWriteImage;
