import { BinaryFile } from 'itk-wasm';
import NiftiReadImageOptions from './nifti-read-image-options.js';
import NiftiReadImageResult from './nifti-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {NiftiReadImageOptions} options - options object
 *
 * @returns {Promise<NiftiReadImageResult>} - result object
 */
declare function niftiReadImage(serializedImage: File | BinaryFile, options?: NiftiReadImageOptions): Promise<NiftiReadImageResult>;
export default niftiReadImage;
