import { Image } from 'itk-wasm';
import NiftiWriteImageNodeOptions from './nifti-write-image-node-options.js';
import NiftiWriteImageNodeResult from './nifti-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {NiftiWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<NiftiWriteImageNodeResult>} - result object
 */
declare function niftiWriteImageNode(image: Image, serializedImage: string, options?: NiftiWriteImageNodeOptions): Promise<NiftiWriteImageNodeResult>;
export default niftiWriteImageNode;
