import { Image } from 'itk-wasm';
import NiftiWriteImageOptions from './nifti-write-image-options.js';
import NiftiWriteImageResult from './nifti-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {NiftiWriteImageOptions} options - options object
 *
 * @returns {Promise<NiftiWriteImageResult>} - result object
 */
declare function niftiWriteImage(image: Image, serializedImage: string, options?: NiftiWriteImageOptions): Promise<NiftiWriteImageResult>;
export default niftiWriteImage;
