import { BinaryFile } from 'itk-wasm';
import NrrdReadImageOptions from './nrrd-read-image-options.js';
import NrrdReadImageResult from './nrrd-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {NrrdReadImageOptions} options - options object
 *
 * @returns {Promise<NrrdReadImageResult>} - result object
 */
declare function nrrdReadImage(serializedImage: File | BinaryFile, options?: NrrdReadImageOptions): Promise<NrrdReadImageResult>;
export default nrrdReadImage;
