import { Image } from 'itk-wasm';
import NrrdWriteImageNodeOptions from './nrrd-write-image-node-options.js';
import NrrdWriteImageNodeResult from './nrrd-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {NrrdWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<NrrdWriteImageNodeResult>} - result object
 */
declare function nrrdWriteImageNode(image: Image, serializedImage: string, options?: NrrdWriteImageNodeOptions): Promise<NrrdWriteImageNodeResult>;
export default nrrdWriteImageNode;
