import { BinaryFile } from 'itk-wasm';
import PngReadImageOptions from './png-read-image-options.js';
import PngReadImageResult from './png-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {PngReadImageOptions} options - options object
 *
 * @returns {Promise<PngReadImageResult>} - result object
 */
declare function pngReadImage(serializedImage: File | BinaryFile, options?: PngReadImageOptions): Promise<PngReadImageResult>;
export default pngReadImage;
