import { BinaryFile } from 'itk-wasm';
import ReadImageOptions from './read-image-options.js';
import ReadImageResult from './read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {ReadImageOptions} options - options to cast the resulting image type or to only read image metadata
 *
 * @returns {Promise<ReadImageResult>} - result object with the image and the web worker used
 */
declare function readImage(serializedImage: File | BinaryFile, options?: ReadImageOptions): Promise<ReadImageResult>;
export default readImage;
