import { BinaryFile } from 'itk-wasm';
import ScancoReadImageOptions from './scanco-read-image-options.js';
import ScancoReadImageResult from './scanco-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {ScancoReadImageOptions} options - options object
 *
 * @returns {Promise<ScancoReadImageResult>} - result object
 */
declare function scancoReadImage(serializedImage: File | BinaryFile, options?: ScancoReadImageOptions): Promise<ScancoReadImageResult>;
export default scancoReadImage;
