import TiffReadImageNodeOptions from './tiff-read-image-node-options.js';
import TiffReadImageNodeResult from './tiff-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {TiffReadImageNodeOptions} options - options object
 *
 * @returns {Promise<TiffReadImageNodeResult>} - result object
 */
declare function tiffReadImageNode(serializedImage: string, options?: TiffReadImageNodeOptions): Promise<TiffReadImageNodeResult>;
export default tiffReadImageNode;
