import { Image } from 'itk-wasm';
import TiffWriteImageNodeOptions from './tiff-write-image-node-options.js';
import TiffWriteImageNodeResult from './tiff-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {TiffWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<TiffWriteImageNodeResult>} - result object
 */
declare function tiffWriteImageNode(image: Image, serializedImage: string, options?: TiffWriteImageNodeOptions): Promise<TiffWriteImageNodeResult>;
export default tiffWriteImageNode;
