import { Image } from 'itk-wasm';
import TiffWriteImageOptions from './tiff-write-image-options.js';
import TiffWriteImageResult from './tiff-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {TiffWriteImageOptions} options - options object
 *
 * @returns {Promise<TiffWriteImageResult>} - result object
 */
declare function tiffWriteImage(image: Image, serializedImage: string, options?: TiffWriteImageOptions): Promise<TiffWriteImageResult>;
export default tiffWriteImage;
