import { BinaryFile } from 'itk-wasm';
import VtkReadImageOptions from './vtk-read-image-options.js';
import VtkReadImageResult from './vtk-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {VtkReadImageOptions} options - options object
 *
 * @returns {Promise<VtkReadImageResult>} - result object
 */
declare function vtkReadImage(serializedImage: File | BinaryFile, options?: VtkReadImageOptions): Promise<VtkReadImageResult>;
export default vtkReadImage;
