import { Image } from 'itk-wasm';
import VtkWriteImageNodeOptions from './vtk-write-image-node-options.js';
import VtkWriteImageNodeResult from './vtk-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {VtkWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<VtkWriteImageNodeResult>} - result object
 */
declare function vtkWriteImageNode(image: Image, serializedImage: string, options?: VtkWriteImageNodeOptions): Promise<VtkWriteImageNodeResult>;
export default vtkWriteImageNode;
