import { Image } from 'itk-wasm';
import VtkWriteImageOptions from './vtk-write-image-options.js';
import VtkWriteImageResult from './vtk-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {VtkWriteImageOptions} options - options object
 *
 * @returns {Promise<VtkWriteImageResult>} - result object
 */
declare function vtkWriteImage(image: Image, serializedImage: string, options?: VtkWriteImageOptions): Promise<VtkWriteImageResult>;
export default vtkWriteImage;
