import { BinaryFile } from 'itk-wasm';
import WasmReadImageOptions from './wasm-read-image-options.js';
import WasmReadImageResult from './wasm-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {WasmReadImageOptions} options - options object
 *
 * @returns {Promise<WasmReadImageResult>} - result object
 */
declare function wasmReadImage(serializedImage: File | BinaryFile, options?: WasmReadImageOptions): Promise<WasmReadImageResult>;
export default wasmReadImage;
