import { Image } from 'itk-wasm';
import WasmWriteImageNodeOptions from './wasm-write-image-node-options.js';
import WasmWriteImageNodeResult from './wasm-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {WasmWriteImageNodeOptions} options - options object
 *
 * @returns {Promise<WasmWriteImageNodeResult>} - result object
 */
declare function wasmWriteImageNode(image: Image, serializedImage: string, options?: WasmWriteImageNodeOptions): Promise<WasmWriteImageNodeResult>;
export default wasmWriteImageNode;
