import { Image } from 'itk-wasm';
import WasmWriteImageOptions from './wasm-write-image-options.js';
import WasmWriteImageResult from './wasm-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {WasmWriteImageOptions} options - options object
 *
 * @returns {Promise<WasmWriteImageResult>} - result object
 */
declare function wasmWriteImage(image: Image, serializedImage: string, options?: WasmWriteImageOptions): Promise<WasmWriteImageResult>;
export default wasmWriteImage;
