import { BinaryFile } from 'itk-wasm';
import WasmZstdReadImageOptions from './wasm-zstd-read-image-options.js';
import WasmZstdReadImageResult from './wasm-zstd-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {WasmZstdReadImageOptions} options - options object
 *
 * @returns {Promise<WasmZstdReadImageResult>} - result object
 */
declare function wasmZstdReadImage(serializedImage: File | BinaryFile, options?: WasmZstdReadImageOptions): Promise<WasmZstdReadImageResult>;
export default wasmZstdReadImage;
