import { Image } from 'itk-wasm';
import WasmZstdWriteImageOptions from './wasm-zstd-write-image-options.js';
import WasmZstdWriteImageResult from './wasm-zstd-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {WasmZstdWriteImageOptions} options - options object
 *
 * @returns {Promise<WasmZstdWriteImageResult>} - result object
 */
declare function wasmZstdWriteImage(image: Image, serializedImage: string, options?: WasmZstdWriteImageOptions): Promise<WasmZstdWriteImageResult>;
export default wasmZstdWriteImage;
