import { Image } from 'itk-wasm';
import WriteImageOptions from './write-image-options.js';
/**
 * Write an image to a serialized file format and from an the itk-wasm Image
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {WriteImageOptions} options - options object
 *
 * @returns {void} - result object
 */
declare function writeImageNode(image: Image, serializedImage: string, options?: WriteImageOptions): Promise<void>;
export default writeImageNode;
