import { Image } from 'itk-wasm';
import WriteImageOptions from './write-image-options.js';
import WriteImageResult from './write-image-result.js';
/**
 * Write an itk-wasm Image converted to an serialized image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {WriteImageOptions} options - options object
 *
 * @returns {Promise<WriteImageResult>} - result object
 */
declare function writeImage(image: Image, serializedImage: string, options?: WriteImageOptions): Promise<WriteImageResult>;
export default writeImage;
